Page 2 of 2

Re: acx module for 2.6.31 kernel?

PostPosted: Fri Nov 06, 2009 12:20
by Thev00d00
Have you installed sabayon-sources and used 'eselect kernel' to change the symlink?

Re: acx module for 2.6.31 kernel?

PostPosted: Fri Nov 06, 2009 13:34
by mdmarmer
Yes, I have sources installed for all kernels. I used eselect kernel to change the symlink to 2.6.29 ... It was set to 2.6.31 before. In version 4.2, I got a successful compile of the acx module in the 2.6.29 kernel, using an ebuild that is no longer in the repository. I have not yet had a successful compile of the acx module in 2.6.31 kernel. So, in order to use wireless, I need to use the 2.6.29 kernel (until someone tells me how to use acx module in 2.6.31).
Mike

Re: acx module for 2.6.31 kernel?

PostPosted: Mon Dec 14, 2009 14:10
by mdmarmer
OK using this patched source https://sites.google.com/site/stevosfil ... 080210.zip I got a good compile against the 2.6.31 kernel and my wireless card now works with that kernel. I have reopened my bug report on this. See here post #14 http://mepislovers.org/forums/showthrea ... ght=acx100
Mike :D

I'll post this on gentoo forums as well.

Re: acx module for 2.6.31 kernel?

PostPosted: Mon Dec 14, 2009 14:46
by Thev00d00
Id like to see the patch?

Re: acx module for 2.6.31 kernel?

PostPosted: Mon Dec 14, 2009 15:00
by mdmarmer
Patch is here http://ubuntuforums.org/showthread.php? ... 100+karmic

Apparently, patch was applied to debian squeeze acx100-source to get the patched source I posted.

See this post #14 which is where I got the patched source http://mepislovers.org/forums/showthrea ... ght=acx100

I don't know how to make it into an ebuild. I did post to Gentoo forums as well.

I did recompile the kernel but I don't think that's necessary -- just compiling and installing the patched source should work.
Mike